{
  "format_version": "1.10.0",
  "animation_controllers": {
    "controller.animation.silverlabs_nat.peacloak.main": {
      "initial_state": "default",
      "states": {
        "default": {
          "transitions": [
            {
              "float_transition": "!q.is_on_ground && !q.is_in_water && !q.is_riding && q.is_sneaking"
            }
          ],
          "blend_transition": 0.2
        },
        "float_transition": {
          "animations": ["unfurl"],
          "transitions": [
            { "float": "q.all_animations_finished" }
          ],
          "blend_transition": 0.2
        },
        "float": {
          "animations": ["float"],
          "transitions": [
            {
              "default": "q.is_on_ground || q.is_in_water || q.is_riding || !q.is_sneaking"
            }
          ],
          "blend_transition": 0.2
        }
      }
    }
  }
}
